package examples;

import javax.naming.*;
import javax.security.auth.*;
import javax.security.auth.callback.*;
import javax.security.auth.login.*;
import javax.rmi.PortableRemoteObject;

public class HelloClient {

 public static void main(String[] args) throws Exception {
  
  /*
   * Authenticate via JAAS
   */
  LoginContext loginContext = new LoginContext("Hello Client");
  loginContext.login();

  /*
   * Retrieve the logged-in subject
   */
  Subject subject = loginContext.getSubject();

  /*
   * Perform business logic while impersonating the
   * authenticated subject
   */
  CallHelloWorld action = new CallHelloWorld();
  String result = (String) Subject.doAs(subject, action);

  /*
   * Print the return result from the business logic
   */
  System.out.println(result);
 }
}
