@echo *******************************************************
@echo Creating temparary directories...
@echo *******************************************************

md ejb
md lib
md ejb\classes
md ejb\classes\META-INF
md web
md web\META-INF
md web\WEB-INF
md web\WEB-INF\classes
md build\META-INF

@echo *******************************************************
@echo setting classpath...
@echo *******************************************************

set classpath=%CLASSPATH%;ejb\classes;

@echo *******************************************************
@echo Compiling Server tier files...
@echo *******************************************************

javac -d ejb\classes src\Customer\*.java src\Product\*.java src\MessageSender\*.java src\Order\*.java src\OrderLineItem\*.java src\Cart\*.java src\Common\*.java src\OrderProcessor\*.java src\pricer\*.java src\usermanager\*.java src\catalog\*.java 

@echo *******************************************************
@echo Copying EJB Deployment Descriptor...
@echo *******************************************************

copy deployment\ejb-jar.xml  ejb\classes\META-INF
copy deployment\weblogic-cmp-rdbms-jar.xml ejb\classes\META-INF
copy deployment\weblogic-ejb-jar.xml ejb\classes\META-INF

@echo *******************************************************
@echo Creating temporary ejb-jar file...
@echo *******************************************************

cd ejb\classes
jar cf ..\..\lib\tmp.jar *
cd ..\..

@echo *******************************************************
@echo Generating helper code, and creating new ejb-jar file...
@echo *******************************************************

pushd lib
java weblogic.ejbc20 tmp.jar -d EJB.jar
copy EJB.jar ..\build\jasmine.jar
popd

@echo *******************************************************
@echo Removing temporary ejb-jar file...
@echo *******************************************************

del lib\tmp.jar
del lib\*.jar

@echo *******************************************************
@echo copying JSP files ....
@echo *******************************************************

copy src\GUI\*.jsp web

@echo *******************************************************
@echo Compiling Web tier files...
@echo *******************************************************

javac -d web\WEB-INF\classes src\Common\*.java src\GUI\*.java

@echo *******************************************************
@echo Copying Web Deployment Descriptor...
@echo *******************************************************

copy deployment\web.xml web\WEB-INF

@echo *******************************************************
@echo Creating Web Archive (war) file...
@echo *******************************************************

jar cf jasmine.war -C web .

@echo *******************************************************
@echo moving web archive file in to build directory...
@echo *******************************************************

move jasmine.war build

@echo *******************************************************
@echo Copying application Deployment Descriptor...
@echo *******************************************************

copy deployment\application.xml build\META-INF

@echo *******************************************************
@echo Creating Enterprise archive file ...
@echo *******************************************************

jar cf jasmine.ear -C build .

@echo *******************************************************
@echo moving Enterprise archive file in to build directory...
@echo *******************************************************

move jasmine.ear build
copy build\jasmine.ear %DEPLOY_HOME%

@echo *******************************************************
@echo Removing temporary files and directories...
@echo *******************************************************

del build\jasmine.jar
del build\jasmine.war
del build\META-INF\*.xml
rd build\META-INF
rd /S /Q web
rd /S /Q ejb
rd /s /q lib