package examples;

import javax.ejb.*;
import java.rmi.RemoteException;
import java.rmi.Remote;

/**
 * These are the business logic methods exposed publicly
 * by PricerBean.
 *
 * This interface is what clients operate on when they
 * interact with beans. The container vendor will
 * implement this interface; the implementation object is
 * called the EJB Object, which delegates invocations to
 * the actual bean.
 */
public interface Pricer extends EJBObject {

	/**
	 * Computes the price of a set of goods
	 */
	public void price(Cart cart) throws RemoteException, PricerException;
}
