import javax.naming.*;

import javax.jms.*;
import java.util.*;

public class Client {

 public static void main (String[] args) throws Exception {

  // Initialize JNDI
  Context ctx = new InitialContext(System.getProperties());

  // 1: Lookup ConnectionFactory via JNDI
  TopicConnectionFactory factory =
	 (TopicConnectionFactory)
	  ctx.lookup("javax.jms.TopicConnectionFactory");

  // 2: Use ConnectionFactory to create JMS connection
  TopicConnection connection =
  factory.createTopicConnection();

  // 3: Use Connection to create session
  TopicSession session = connection.createTopicSession(
   false, Session.AUTO_ACKNOWLEDGE); 

  // 4: Lookup Desintation (topic) via JNDI
  Topic topic = (Topic) ctx.lookup("testtopic");

  // 5: Create a Message Producer 
  TopicPublisher publisher = session.createPublisher(topic);

  // 6: Create a text message, and publish it
  TextMessage msg = session.createTextMessage();
  msg.setText("This is a test message."); 
  publisher.publish(msg);
 }
}