import java.rmi.RemoteException;

/**
 * The remote object which generates primary keys
 */
public class PKGenerator implements IPKGenerator {

	/*
	 * Our remote object's constructor
	 */
	public PKGenerator() throws Exception, RemoteException {
	
		/*
		 * Since we extend PortableRemoteObject, the super
		 * class will export our remote object here.
		 */	
		super();
	}

	/*
	 * Generates a unique primary key
	 */
	public synchronized long generate() throws RemoteException {
		return i++;
	}

	private static long i = System.currentTimeMillis();
}
